Skip to content

After Vault has finished processing the deploy job, use this request to retrieve the results of the completed deploy.

GET/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy/results
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
package_idThe id field value of the vault_package__v object record used for deploy. See Deploy Package above.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.2/vobject/vault_package__v/0PI000000000101/actions/deploy/results
{ "responseStatus": "SUCCESS", "responseDetails": { "warnings": 0, "total_components": 8, "deployed_components": 8, "skipped_components": 0, "error_components": 0, "deployment_status__v": "deployed__v", "deployment_log": [ { "filename": "PKG-0005-7101.log", "url": "https://my4.vaultdev.com:8443/api/v17.2/vobjects/vault_package__v/0PI000000000101/attachments/2/versions/1/file", "created_date__v": "2017-05-19 18:21:34.057" } ] }, "package_components": [ { "external_id__v": null, "component_type__v": "Doctype", "checksum__v": "bc7cf7551023d926e9920bc6afa0e598", "stepId": "0IS000000000101", "name__v": "Doctype.design_and_configuration__c", "step": "00010", "id": "0VP000000000101", "component_name__v": "design_and_configuration__c", "deployment_status__v": "deployed__v" } ] }

Learn more about the possible response values for deployment_status__v in Vault Help.